sources
Add connection
Create a new connection of any supported type. The type field determines which connection type to create.
/api/v1/sources/
Headers
Authorizationrequiredany - API key authentication using Bearer scheme
Request Body
One of these shapes, selected by type.
PostgresConnectionRequest
typerequiredstring - Connection type identifier. Must be `POSTGRES`
account_namestring - Display name for the connection
hostnamestring - PostgreSQL server hostname
portinteger - Port number
usernamestring - Database username
passwordstring - Database password
database_namestring - Database name
connection_stringstring - Alternative: full connection string instead of individual parameters
selected_schemasarray - List of schema names to include in queries and overviews. If empty, all schemas except system schemas will be included.
MySQLConnectionRequest
typerequiredstring - Connection type identifier. Must be `MYSQL`
account_namestring - Display name for the connection
hostnamerequiredstring - MySQL server hostname or IP address
portinteger - Port number
usernamerequiredstring - Database username
passwordrequiredstring - Database password
database_namerequiredstring - Database name
SnowflakeConnectionRequest
typerequiredstring - Connection type identifier. Must be `SNOWFLAKE`
account_namestring - Display name for the connection
accountrequiredstring - Snowflake account identifier (e.g., xy12345.us-east-1)
userrequiredstring - Snowflake username
passwordstring - Password for authentication (optional - use either password or public_key)
public_keystring - Public key for key-pair authentication (optional - use either password or public_key)
warehousestring - Snowflake warehouse to use (optional)
BigQueryConnectionRequest
typerequiredstring - Connection type identifier. Must be `BIGQUERY`
account_namestring - Display name for the connection
selected_datasetsarray - List of dataset IDs to include. If omitted, all datasets in the project are used.
service_account_keyrequiredany - Google Cloud service account key JSON
MotherDuckConnectionRequest
typerequiredstring - Connection type identifier. Must be `MOTHERDUCK`
account_namestring - Display name for the connection
database_namerequiredstring - Database name
tokenrequiredstring - MotherDuck authentication token
ClickHouseConnectionRequest
typerequiredstring - Connection type identifier. Must be `CLICKHOUSE`
account_namestring - Display name for the connection
hostrequiredstring - ClickHouse server hostname
portinteger - Port number
usernamerequiredstring - Database username
passwordrequiredstring - Database password
databasestring - Database name (optional)
MongoDBConnectionRequest
typerequiredstring - Connection type identifier. Must be `MONGODB`
account_namestring - Display name for the connection
connection_stringrequiredstring - MongoDB connection string (e.g., mongodb://user:pass@host/db or mongodb+srv://user:pass@cluster.mongodb.net/db)
SingleStoreConnectionRequest
typerequiredstring - Connection type identifier. Must be `SINGLESTORE`
account_namestring - Display name for the connection
hostnamerequiredstring - SingleStore server hostname
portinteger - Port number
usernamerequiredstring - Database username
passwordrequiredstring - Database password
database_namerequiredstring - Database name
MSSQLConnectionRequest
typerequiredstring - Connection type identifier. Must be `MSSQL`
account_namestring - Display name for the connection
hostnamestring - SQL Server hostname
portinteger - Port number
usernamestring - Database username
passwordstring - Database password
database_namestring - Database name
connection_stringstring - Alternative: ODBC connection string instead of individual parameters
MCPConnectionRequest
typestring - Connection type identifier. Must be `MCP`
account_namestring - Display name for the connection
base_urlrequiredstring<uri> - Endpoint for the MCP server (Streamable HTTP or SSE).
access_tokenstring - Optional access token sent as a Bearer authorization header.
selected_toolsarray - Optional list of MCP tool names to enable after creation. If omitted, all tools discovered on the server will be enabled.
FileUploadConnectionRequestRequest
typerequiredenum<string>: FILE - Connection type identifier. Must be `FILE` * `FILE` - File Upload
account_namestring - Display name for the connection
file_urlsrequiredarray - List of file URLs to import directly. Each item must include 'url' and 'filename'.
Response
idrequiredinteger - The ID of the created connection
public_key_sqlstring - SQL command to add public key to Snowflake (only for Snowflake key-pair auth)
